Bug 219835 - editors/vile: Take MAINTAINER'ship
Summary: editors/vile: Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Carlos J. Puga Medina
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-06-07 09:18 UTC by dickey
Modified: 2017-07-17 19:43 UTC (History)
3 users (show)

See Also:


Attachments
update for vile port (696 bytes, patch)
2017-06-07 23:05 UTC, dickey
koobs: maintainer-approval-
Details | Diff
corrected diff for vile-port (435 bytes, patch)
2017-07-17 00:03 UTC, dickey
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dickey 2017-06-07 09:18:18 UTC
There is no maintainer, and the package itself is broken (regular expressions do not work with 11.1 prerelease although a recompile fixes that).
Comment 1 Kubilay Kocak freebsd_committer 2017-06-07 09:25:58 UTC
Thank you for offering to take maintainership of an unmaintained port

Please attach a patch that fixes any known issues, passes QA [1] and updates MAINTAINER

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 2 dickey 2017-06-07 23:05:10 UTC
Created attachment 183314 [details]
update for vile port

I ran portlint and port test.
Comment 3 Steve Wills freebsd_committer 2017-07-13 13:18:46 UTC
The change to PERL_CONFIGURE_WITH results in configure args that look like this when the perl option is enabled:

$ make -V CONFIGURE_ARGS
--without-loadable-filters --without-iconv --without-locale --with-/usr/local/bin/perl --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}

The "--with-/usr/local/bin/perl" is invalid.
Comment 4 dickey 2017-07-17 00:03:34 UTC
Created attachment 184413 [details]
corrected diff for vile-port
Comment 5 Kubilay Kocak freebsd_committer 2017-07-17 04:21:23 UTC
Comment on attachment 184413 [details]
corrected diff for vile-port

Unmaintained port, implicit approval
Comment 6 commit-hook freebsd_committer 2017-07-17 19:41:51 UTC
A commit references this bug:

Author: cpm
Date: Mon Jul 17 19:41:11 UTC 2017
New revision: 446109
URL: https://svnweb.freebsd.org/changeset/ports/446109

Log:
  - Pass maintainership to submitter

  PR:		219835
  Submitted by:	dickey@his.com
  Approved by:	koobs

Changes:
  head/editors/vile/Makefile
Comment 7 Carlos J. Puga Medina freebsd_committer 2017-07-17 19:43:22 UTC
Committed!

Thanks